org.apache.xalan.xsltc.dom

## Class DOMWSFilter

- java.lang.Object
- - org.apache.xalan.xsltc.dom.DOMWSFilter

- All Implemented Interfaces:
    DTMWSFilter

      public class DOMWSFilter
      extends java.lang.Object
      implements DTMWSFilter

  A wrapper class that adapts the `DTMWSFilter` interface to the XSLTC DOM `StripFilter` interface.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xml.dtm.DTMWSFilter

      `INHERIT, NOTSTRIP, STRIP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DOMWSFilter(AbstractTranslet translet)` Construct an adapter connecting the `DTMWSFilter` interface to the `StripFilter` interface.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getShouldStripSpace(int node, DTM dtm)` Test whether whitespace-only text nodes are visible in the logical view of `DTM`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DOMWSFilter

          public DOMWSFilter(AbstractTranslet translet)

      Construct an adapter connecting the `DTMWSFilter` interface to the `StripFilter` interface.
      Parameters:
        `translet` - A translet that also implements the StripFilter interface.
      See Also:
        `DTMWSFilter`, `StripFilter`

  - ### Method Detail

    - #### getShouldStripSpace

          public short getShouldStripSpace(int node,
                                           DTM dtm)

      Test whether whitespace-only text nodes are visible in the logical view of `DTM`. Normally, this function will be called by the implementation of `DTM`; it is not normally called directly from user code.
      Specified by:
        `getShouldStripSpace` in interface `DTMWSFilter`
      Parameters:
        `node` - int handle of the node.
        `dtm` - the DTM that owns this node
      Returns:
        one of `NOTSTRIP`, `STRIP` or `INHERIT`.

Copyright © 2023 Apache XML Project. All Rights Reserved.